Get Plugin List

Get Plugin List

Browse remote vRealize Orchestrator inventory

Request
URI
GET
https://{api_host}/cloudapi/vro/servers/{vroId}/entityTypes
COPY
Path Parameters
string
vroId
Required

The ID of the server to browse inventory items on


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VroRemotePluginItems of type(s) application/json;version=39.1
{
    "items": [
        {
            "name": "string",
            "typeHref": "string",
            "selectable": false,
            "canHaveChildren": false
        }
    ]
}
array of object
items
Optional

A plugin namespaces for whom type information can be retrieved


404

Not Found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/vro/servers/{vroId}/entityTypes